//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu> 
// Creation Date: 18 December 1997
// Last Modified: Sun Jan 25 15:31:49 GMT-0800 1998
// Filename:      ...sig/code/control/MidiInput/MidiInput.cpp
// Syntax:        C++
// $Smake:        cc -g -c %b.cpp -I../../../include && rm -f %b.o
//
// Description: The MIDI input interface for synthesizer or other MIDI device
//

#include "MidiInput.h"
#include <stdlib.h>
#include <iostream.h>


//////////////////////////////
//
// MidiInput::MidiInput -- opens the specified MIDI input device and
//    sets the size of the input buffer.
//

MidiInput::MidiInput(void) : MidiInPort() {
   // does nothing
}


MidiInput::MidiInput(int aPort, int autoOpen) : MidiInPort(aPort, autoOpen) {
   // does nothing
}



//////////////////////////////
//
// MidiInput::~MidiInput
//

MidiInput::~MidiInput() {
   // does nothing
}

